Package com.collabnet.ce.soap60.webservices.cemain

# Class RelationshipSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.RelationshipSoapDO

public class RelationshipSoapDO extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
This class represents the data associated with a project.
Change History
Release: 4.3-hotfix4

- Created relationship soap do.

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelationshipSoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns 'description'.
  `String`
  `getOriginKey()`
  Returns 'originKey'.
  `String`
  `getRelationshipType()`
  Returns 'relationshipType'.
  `String`
  `getTargetKey()`
  Returns 'targetKey'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setOriginKey(String originKey)`
  Sets 'originKey'.
  `void`
  `setRelationshipType(String relationshipType)`
  Sets 'relationshipType'.
  `void`
  `setTargetKey(String targetKey)`
  Sets 'targetKey'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RelationshipSoapDO

    public RelationshipSoapDO()

- ## Method Details

  - ### getOriginKey

    public String getOriginKey()
    Returns 'originKey'. The id of the origin object.
    Returns:
      Value of 'originKey'.

  - ### setOriginKey

    public void setOriginKey(String originKey)
    Sets 'originKey'. The id of the origin object.
    Parameters:
      `originKey` - Value of 'originKey'.

  - ### getTargetKey

    public String getTargetKey()
    Returns 'targetKey'. The id of the target object.
    Returns:
      Value of 'targetKey'.

  - ### setTargetKey

    public void setTargetKey(String targetKey)
    Sets 'targetKey'. The id of the target object.
    Parameters:
      `targetKey` - Value of 'targetKey'.

  - ### getRelationshipType

    public String getRelationshipType()
    Returns 'relationshipType'. The type of the relationship.
    Returns:
      Value of 'relationshipType'.

  - ### setRelationshipType

    public void setRelationshipType(String relationshipType)
    Sets 'relationshipType'. The type of the relationship.
    Parameters:
      `relationshipType` - Value of 'relationshipType'.

  - ### getDescription

    public String getDescription()
    Returns 'description'. The relationship description.
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'. The relationship description.
    Parameters:
      `description` - Value of 'description'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)